<?php

namespace common\models;

use Yii;
use common\models;

/**
 * This is the model class for table "{{%schools}}".
 *
 * @property string $description
 * @property string $image
 * @property string $address
 * @property string $email
 * @property string $gallery
 * @property string $program
 * @property integer $id
 * @property string $name
 * @property string $spots_id
 */
class Schools extends GalleryRecord
{

    public $file;
    public $file_three;

    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%schools}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['description', 'name'], 'required'],
            [['file','file_three'], 'file'],
            [['description', 'gallery', 'program'], 'string'],
            [['image', 'address', 'email', 'name','spots_id'], 'string', 'max' => 255]
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'description' => 'Description',
            'image' => 'Image',
            'address' => 'Address',
            'email' => 'Email',
            'gallery' => 'Gallery',
            'program' => 'Program',
            'id' => 'ID',
            'name' => 'Name',
        ];
    }

    function isActive($array)
    {
        $array = explode(',' , $array);
        if(in_array($this->id, $array)){
            return "checked";
        } else{
            return "";
        }
    }

    public function behaviors()
    {
        return [
            'slug' => [
                'class' => 'common\behaviors\Slug',
                'in_attribute' => 'name',
                'out_attribute' => 'translit',
                'translit' => true
            ]
        ];
    }

    public function schoolsForFooter()
    {
        return self::find()->limit(4)->all();
    }
}
