<?php

namespace common\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use common\models\Spots;

/**
 * SpotsSearch represents the model behind the search form about `common\models\Spots`.
 */
class SpotsSearch extends Spots
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'address', 'email'], 'integer'],
            [['difficulty_level', 'coordinates_x', 'coordinates_y', 'description', 'gallery', 'how_to_get', 'name'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = Spots::find();

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        $query->andFilterWhere([
            'id' => $this->id,
            'address' => $this->address,
            'email' => $this->email,
        ]);

        $query->andFilterWhere(['like', 'difficulty_level', $this->difficulty_level])
            ->andFilterWhere(['like', 'coordinates_x', $this->coordinates_x])
            ->andFilterWhere(['like', 'coordinates_y', $this->coordinates_y])
            ->andFilterWhere(['like', 'description', $this->description])
            ->andFilterWhere(['like', 'gallery', $this->gallery])
            ->andFilterWhere(['like', 'how_to_get', $this->how_to_get])
            ->andFilterWhere(['like', 'name', $this->name]);

        return $dataProvider;
    }
}
