<?php
$params = array_merge(
    require(__DIR__ . '/../../common/config/params.php'),
    require(__DIR__ . '/../../common/config/params-local.php'),
    require(__DIR__ . '/params.php'),
    require(__DIR__ . '/params-local.php')
);


return [
    'id' => 'app-frontend',
    'basePath' => dirname(__DIR__),
    'bootstrap' => ['log'],
    'controllerNamespace' => 'frontend\controllers',
    'language' => 'ru-RU',
    'components' => [

        'request' => [
            'baseUrl' => '',
        ],

        'user' => [
            'identityClass' => 'common\models\User',
            'enableAutoLogin' => true,
        ],

        'log' => [
            'traceLevel' => YII_DEBUG ? 3 : 0,
            'targets' => [
                [
                    'class' => 'yii\log\FileTarget',
                    'levels' => ['error', 'warning'],
                ],
            ],
        ],

        'errorHandler' => [
            'errorAction' => 'site/error',
        ],

        'urlManager' => [
            'baseUrl' => '/',
            'enablePrettyUrl' => true,
            'showScriptName' => false,
            'rules' => [
                'page/<translit:[\w-]+>'=>'page/show',
                'schools/view/<translit:[\w-]+>'=>'schools/view',
                'spots/view/<translit:[\w-]+>'=>'spots/view',
                'article/<type:[\w-]+>'=>'articles/index',
                'article/<type:[\w-]+>/<translit:[\w-]+>'=>'articles/view',
                'search'=>'site/search',
                'contact'=>'site/contact',
                'about'=>'site/about',
                'success'=>'site/success',
            ]
        ]
    ],
    'params' => $params,
];