<?php

namespace frontend\controllers;

use common\models\Fields;
use Yii;
use backend\models\Articles;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\data\ArrayDataProvider;
use yii\data\ActiveDataProvider;

class ArticlesController extends Controller
{

    public function actionIndex($type)
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Articles::find()->where(['type'=>$type]),
            'pagination' => [
                'pageSize' => 6,
            ],

        ]);


        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    public function actionView($type,$translit)
    {

        $model = $this->findModel($type,$translit);

        $video = Fields::getData($model->id,'Articles','video');

        return $this->render('view', [
            'model' => $model,
            'video' => $video,

        ]);
    }


    /**
     * Finds the Articles model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Articles the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($type,$translit)
    {

        if (($model = Articles::findOne(["translit"=>$translit, 'type'=>$type])) !== null) {
            return $model;
        } else {
            throw new NotFoundHttpException('The requested page does not exist.');
        }
    }

}