<?php
use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model \frontend\models\SignupForm */
$this->registerCssFile('/css/school_one.css');
$this->registerJsFile('/js/jquery.scrollbox.min.js');
$this->title = $model->name;
$this->params['breadcrumbs'][] = ['label' => 'Школы ', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<script src="http://maps.google.com/maps/api/js?sensor=false"></script>
<div class="kite-wrap-pages">
    <div class="kite-cont">
        <div class="kite-block-foto-wrap">
            <div id="kite-block-foto-wrap-bg"></div>
            <div class="block-title-kites"><?=$model->name?></div>
            <div class="school-windrider">
                <div class="school-windrider-left">
                    <div class="school-windrider-left-l">
                        <div class="school-windrider-left-l-img-wrap">
                            <div class="school-windrider-left-l-img"><img src="<?=$model->image?>"/></div>
                        </div>
                        <div class="school-windrider-left-contacts">
                            <table class="kite-contacts-phones-graph" cellspacing="0" cellpadding="0" border="0" style="margin-top: 65px;">
                                <tr id="adress-position">
                                    <td id="adress-position2">
                                        <table width="23" cellpadding="0" cellspacing="0" border="0"><tbody><tr><td><img id="img-tb" src="/images/loc-ico.png"></td></tr></tbody></table>
                                    </td>
                                    <td>
                                        <table width="187" cellpadding="0" cellspacing="0" border="0"><tbody><tr><td><span style="font-size: 12px;"><?=$model->address?></span></td></tr></tbody></table>
                                    </td>
                                </tr>
                                <?php foreach($phone as $one_phone):?>
                                    <tr>
                                        <td>
                                            <table width="23" cellpadding="0" cellspacing="0" border="0"><tbody><tr><td><img id="img-tb" src="/images/phone-ico.png"></td></tr></tbody></table>
                                        </td>
                                        <td>
                                            <table width="187" cellpadding="0" cellspacing="0" border="0"><tbody><tr><td><span id="table-phon"><?=$one_phone['value']?></span></td></tr></tbody></table>
                                        </td>
                                    </tr>
                                <?php endforeach;?>
                            </table>
                            <table class="tb-email-kites" cellpadding="0" cellspacing="0" border="0">
                                <tr>
                                    <td width="25"><img src="/images/email.jpg"/></td>
                                    <td width="180"><a href=""><?= $model->email?></a></td>
                                </tr>
                            </table>
                        </div>
                    </div>
                    <div class="school-windrider-left-r">
                        <div class="school-windrider-left-r-title"><span>Школа кайтсерфинга <?=$model->name?></span></div>
                        <?= $model->description?>
                    </div>
                </div>
                <div class="school-windrider-right">
                    <div class="school-windrider-right-bg"></div>
                    <ul>
                        <li>О школе windrider</li>
                        <li><a href="">Видео</a></li>
                        <li><a href="">Программа обучения</a></li>
                        <li><a href="">Фото</a></li>
                        <li><a href="">Где обучаем</a></li>
                        <li><a href="">Цены</a></li>
                        <li><a href="">Прорайдеры школы</a></li>
                    </ul>
                </div>
            </div>
            <div class="block-title-kites video">ВИдео</div>
            <div class="kites-video-wr-all">
                <div class="kites-video-wr">
                    <?php foreach($video as $one_video):?>
                        <div class="kites-video"><iframe width="450" height="250" src="<?=$one_video['value']?>" frameborder="0" allowfullscreen></iframe></div>
                    <?php endforeach;?>
                </div>
            </div>
            <div class="block-title-kites video">Программа обучения</div>
            <div class="kites-education">
                <?= $model->program?>
            </div>
            <div class="block-title-kites video">Фото</div>
            <?=$this->render('_image_gallery', [
                'model'=>$model
            ]);?>

            <div class="block-title-kites video">Где обучаем</div>
            <div class="kites-where-education-wr-all">
                <div class="kites-where-education-wr">

                    <?php
                    echo \yii\widgets\ListView::widget( [
                        'dataProvider' => $spots,
                        'itemView'=>'@app/views/spots/_one_spot',
                        'summary'=>'',
                    ] );
                    ?>

                </div>
            </div>
            <div class="block-title-kites price">цены</div>
            <div class="kites-price-table">
                <table cellpadding="0" class="kites-price-tb" cellspacing="0" border="0">
                    <?php foreach($price  as $one_price):?>
                        <tr>
                            <td width="330"><?=$one_price['field_name']?></td>
                            <td width="210"><?=$one_price['value']?></td>
                        </tr>
                    <?php endforeach;?>
                </table>
            </div>
            <div class="block-title-kites video">Прорайдеры школы</div>
            <div class="kites-school-provaider-wr">
                <?php foreach($trainers as $trainer):?>
                <div class="kites-school-provaider">
                    <div class="kites-school-provaider-img"><img src="<?=$trainer->photo?>" /></div>
                    <div class="kites-school-provaider-text-wr">
                        <div class="kites-school-provaider-text">
                            <p>
                                <span><?=$trainer->name?></span></br>
                                <?=$trainer->description?>
                            </p>
                        </div>
                    </div>
                </div>
                <?php endforeach;?>

            </div>
        </div>
        <div class="kite-margin-block"></div>
    </div>
</div>
<script>
    $(function () {
        $('#demo5').scrollbox({
            direction: 'h',
            distance: 150,
            autoPlay: false
        });
        $('#prew').click(function () {
            $('#demo5').trigger('backward');
        });
        $('#next').click(function () {
            $('#demo5').trigger('forward');
        });

    });
</script>